Package org.bukkit

# Enum Class NetherWartsState

java.lang.Object
java.lang.Enum<NetherWartsState>
org.bukkit.NetherWartsState

All Implemented Interfaces:
  `Serializable`, `Comparable<NetherWartsState>`, `Constable`

public enum NetherWartsState extends Enum<NetherWartsState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RIPE`
Ready to harvest
`SEEDED`
State when first seeded
`STAGE_ONE`
First growth stage
`STAGE_TWO`
Second growth stage

## Method Summary

Modifier and Type
Method
Description
`static NetherWartsState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NetherWartsState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SEEDED

public static final NetherWartsState SEEDED
State when first seeded

### STAGE_ONE

public static final NetherWartsState STAGE_ONE
First growth stage

### STAGE_TWO

public static final NetherWartsState STAGE_TWO
Second growth stage

### RIPE

public static final NetherWartsState RIPE
Ready to harvest

## Method Details

### values

public static NetherWartsState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NetherWartsState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null